<?php
/**
 * @version		1.0
 * @package		Joomla
 * @subpackage	Documents Seller
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
class os_offline extends os_payment {	
	/**
	 * Constructor functions, init some parameter
	 *
	 * @param object $params
	 */
	function os_offline($params) {
		parent::setName('os_offline');		
		parent::os_payment();				
		parent::setCreditCard(false);		
    	parent::setCardType(false);
    	parent::setCardCvv(false);
    	parent::setCardHolderName(false);		
	}	
	/**
	 * Process payment 
	 *
	 */
	function processPayment($row, $data) {
		global $mainframe, $Itemid ;
		$config = DMSHelper::getConfig() ;
		$row->published = 1 ;
		$row->store() ;
		JPluginHelper::importPlugin('dms');
		$dispatcher =& JDispatcher::getInstance();
		$dispatcher->trigger( 'onAfterPaymentSuccess', array($row));
		DMSHelper::sendEmails($row, $config);		
		$url = JRoute::_('index.php?option=com_dms&view=complete&id='.$row->id.'&Itemid='.$Itemid);
		$mainframe->redirect($url);				    
	}		
}